<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
<meta charset="UTF-8" />
<title>Vérification des droits admin</title>
</head>
<body
	style="p: before .success, li:before .success{ 
	background-image: 
		url(http://images4.wikia.nocookie.net/__cb20101013160837/sims/fr/images/d/dd/Ic%C3%B4ne_Valid.png); content: '&gt;'">
	<h3>
		On ajoute des droits sur les données de référence pour l'utilisateur <span
			concordion:set="#utilisateur">testeurAuto</span>.
	</h3>
	<table
		concordion:execute="#areRightsSet=addPrivilege(#utilisateur, #role, #privilegeType, #privilegePath, #dateDeDebut, #dateDeFin)">
		<tr>
			<th concordion:set="#role">Role</th>
			<th concordion:set="#privilegeType">Type de privilège</th>
			<th concordion:set="#privilegePath">Path</th>
			<th concordion:set="#dateDeDebut">Date de début</th>
			<th concordion:set="#dateDeFin">Date de fin</th>
			<th concordion:assertTrue="#areRightsSet">Droit mis</th>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>types_de_sites</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>projects</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>sites</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>unites</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>themes</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>valeurs_qualitatives</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>types_de_donnees_par_theme_de_sites_et_projet</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>variables</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>variables_et_unites_par_types_de_donnees</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>especes</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>type_de_fichiers</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
	</table>

	<h3>On ajoute des droits sur les données expérimentales pour
		l'utilisateur testeurAuto.</h3>
	<table
		concordion:execute="#areRightsSet=addPrivilege(#utilisateur, #role, #privilegeType, #privilegePath, #dateDeDebut, #dateDeFin)">
		<tr>
			<th concordion:set="#role">Role</th>
			<th concordion:set="#privilegeType">Type de privilège</th>
			<th concordion:set="#privilegePath">Path</th>
			<th concordion:set="#dateDeDebut">Date de début</th>
			<th concordion:set="#dateDeFin">Date de fin</th>
			<th concordion:assertTrue="#areRightsSet">Droit mis</th>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie</td>
			<td>31/05/1957</td>
			<td>23/07/1957</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac2/physico_chimie/physico_chimie/ph</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac2/physico_chimie/physico_chimie/ph</td>
			<td>31/05/1957</td>
			<td>23/07/1957</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie/calcium</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie/calcium</td>
			<td>31/05/1957</td>
			<td>23/07/1957</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie/ph</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie/ph</td>
			<td>31/05/1957</td>
			<td>23/07/1957</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac2/conditions_generales/conditions_prelevements</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac2/conditions_generales/conditions_prelevements</td>
			<td>01/01/2010</td>
			<td>30/06/2010</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/phytoplancton</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/phytoplancton</td>
			<td>13/01/2011</td>
			<td>13/01/2011</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/production_primaire</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/production_primaire</td>
			<td>01/01/2009</td>
			<td>31/12/2009</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/compartiments_biologiques/chlorophylle</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/compartiments_biologiques/chlorophylle</td>
			<td>01/01/2003</td>
			<td>31/12/2003</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/conditions_generales/conditions_prelevements</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/conditions_generales/conditions_prelevements</td>
			<td>01/01/2010</td>
			<td>31/12/2010</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/profils_verticaux_multiparametres/sonde_multiparametres</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/profils_verticaux_multiparametres/sonde_multiparametres</td>
			<td>25/04/2005</td>
			<td>25/04/2005</td>
			<td>true</td>
		</tr>
	</table>

	<h3>On ajoute des droits sur le dépôt de fichiers complémentaires pour
		l'utilisateur testeurAuto.</h3>
	<table
		concordion:execute="#areRightsSet=addPrivilege(#utilisateur, #role, #privilegeType, #privilegePath, #dateDeDebut, #dateDeFin)">
		<tr>
			<th concordion:set="#role">Role</th>
			<th concordion:set="#privilegeType">Type de privilège</th>
			<th concordion:set="#privilegePath">Path</th>
			<th concordion:set="#dateDeDebut">Date de début</th>
			<th concordion:set="#dateDeFin">Date de fin</th>
			<th concordion:assertTrue="#areRightsSet">Droit mis</th>
		</tr>
		<tr>
			<td>depot</td>
			<td>file</td>
			<td>projet_manche/oir/p1/donnees_biologiques/piegeage_en_montee</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/oir/p1/donnees_biologiques/piegeage_en_montee</td>
			<td>01/01/1984</td>
			<td>05/01/1984</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>file</td>
			<td>projet_manche/oir/p2/donnees_biologiques/piegeage_en_montee</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/oir/p2/donnees_biologiques/piegeage_en_montee</td>
			<td>01/01/1984</td>
			<td>05/01/1984</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>file</td>
			<td>projet_manche/nivelle/p1/donnees_biologiques/piegeage_en_montee</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/nivelle/p1/donnees_biologiques/piegeage_en_montee</td>
			<td>01/01/1984</td>
			<td>05/01/1984</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>file</td>
			<td>projet_manche/scarff/p1/donnees_biologiques/piegeage_en_montee</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/scarff/p1/donnees_biologiques/piegeage_en_montee</td>
			<td>01/01/1984</td>
			<td>05/01/1984</td>
			<td>true</td>
		</tr>
	</table>
	<h3>on teste les droits pour l'utilisateur testeurAuto</h3>
	<table
		concordion:execute="#hasPrivilege=hasPrivilege(#utilisateur, #role, #privilegeType, #privilegePath, #date)">
		<tr>
			<th concordion:set="#role">Role</th>
			<th concordion:set="#privilegeType">Type de privilège</th>
			<th concordion:set="#privilegePath">Path</th>
			<th concordion:set="#date">Date de début</th>
			<th concordion:assertEquals="#hasPrivilege">A les droits</th>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>projects</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>sites</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>unites</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>themes</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>valeurs_qualitatives</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>types_de_donnees_par_theme_de_sites_et_projet</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>variables</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>variables_et_unites_par_types_de_donnees</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>refdata</td>
			<td>especes</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>test</td>
			<td>testPrivilege</td>
			<td>site/theme1</td>
			<td></td>
			<td>false</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie</td>
			<td>31/05/1957</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac2/physico_chimie/physico_chimie/ph</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac2/physico_chimie/physico_chimie/ph</td>
			<td>31/05/1957</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie/calcium</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie/calcium</td>
			<td>31/05/1957</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie/ph</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/physico_chimie/physico_chimie/ph</td>
			<td>31/05/1957</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac2/conditions_generales/conditions_prelevements</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac2/conditions_generales/conditions_prelevements</td>
			<td>01/01/2010</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/phytoplancton</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/phytoplancton</td>
			<td>13/01/2011</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/production_primaire</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/production_primaire</td>
			<td>01/01/2009</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/compartiments_biologiques/chlorophylle</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac1/compartiments_biologiques/chlorophylle</td>
			<td>01/01/2003</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/conditions_generales/conditions_prelevements</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/conditions_generales/conditions_prelevements</td>
			<td>01/01/2010</td>
			<td>true</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/profils_verticaux_multiparametres/sonde_multiparametres</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/profils_verticaux_multiparametres/sonde_multiparametres</td>
			<td>25/04/2005</td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/oir/p2/donnees_biologiques/piegeage_en_montee</td>
			<td>31/12/1983</td>
			<td>false</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>file</td>
			<td>projet_manche/nivelle/p1/donnees_biologiques/piegeage_en_montee</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/nivelle/p1/donnees_biologiques/piegeage_en_montee</td>
			<td>31/12/1983</td>
			<td>false</td>
		</tr>
		<tr>
			<td>depot</td>
			<td>file</td>
			<td>projet_manche/scarff/p1/donnees_biologiques/piegeage_en_montee</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/scarff/p1/donnees_biologiques/piegeage_en_montee</td>
			<td>31/12/1983</td>
			<td>false</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/oir/p1/donnees_biologiques/piegeage_en_montee</td>
			<td>01/01/1984</td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/oir/p1/donnees_biologiques/piegeage_en_montee</td>
			<td>03/01/1984</td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/oir/p1/donnees_biologiques/piegeage_en_montee</td>
			<td>05/01/1984</td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/oir/p1/donnees_biologiques/piegeage_en_montee</td>
			<td>06/01/1984</td>
			<td>false</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>projet_manche/oir</td>
			<td>03/01/1984</td>
			<td>false</td>
		</tr>
	</table>

</body>
</html>